<?
include_once H.'/sys/inc/start.php';
include_once H.'/sys/inc/compress.php';
include_once H.'/sys/inc/sess.php';
include_once H.'/sys/inc/home.php';
include_once H.'/sys/inc/settings.php';
include_once H.'/sys/inc/db_connect.php';
include_once H.'/sys/inc/ipua.php';
include_once H.'/sys/inc/fnc.php';
include_once H.'/sys/inc/user.php';

include_once H.'/sys/inc/thead.php';

only_level(4);

$set['title']='Создание фотоконкурса';
title();
aut();
err();




if(isset($_GET['next'])){ 

$name=my_esc($_POST['name']);
$rules=my_esc($_POST['msg']);

if(strlen2($name)<3 or strlen2($name)>111)  {
echo '<div class="err"> Короткое название! </div>';
}
elseif(strlen2($rules)<3 or strlen2($rules)>1111000)  {
echo '<div class="err"> Короткие правила! </div>';
}
elseif($_POST['pobeda'] == "" or $_POST['pobeda'] < 0)  {
echo '<div class="err"> Неправильно заполнены баллы за 1 место! </div>';
}
elseif($_POST['pobeda2'] == "" or $_POST['pobeda2'] < 0)  {
echo '<div class="err"> Неправильно заполнены баллы за 2 место! </div>';
}
elseif($_POST['pobeda3'] == "" or $_POST['pobeda3'] < 0)  {
echo '<div class="err"> Неправильно заполнены баллы за 3 место! </div>';
}
elseif($_POST['uchastie'] == "" or $_POST['uchastie'] < 0)  {
echo '<div class="err"> Неправильно заполнены баллы за участие! </div>';
}
elseif($_POST['golosue'] == "" or $_POST['golosue'] < 0)  {
echo '<div class="err"> Неправильно заполнены баллы за голосование! </div>';
}
elseif($_POST['skolko'] == "" or $_POST['skolko'] < 0)  {
echo '<div class="err"> Неправильно заполнены баллы за количество голосов! </div>';
}
else
{

$end_time = $time + (86400	* intval($_POST['dney']));
mysql_query("INSERT INTO `fk` (`name`,`rules`, `id_user`,`start_time`,`end_time`, `kol_vo`, `active`, `pobeda`, `pobeda2`, `pobeda3`, `uchastie`, `golosue`, `skolko`) 
values('".$name."', '".$rules."',  '".$user['id']."', '".$time."', '".$end_time."', '".intval($_POST['kol_vo'])."',
 '1', '".intval($_POST['pobeda'])."', '".intval($_POST['pobeda2'])."', '".intval($_POST['pobeda3'])."', 
 '".intval($_POST['uchastie'])."', '".intval($_POST['golosue'])."', '".intval($_POST['skolko'])."' )");

$img = mysql_fetch_assoc(mysql_query("select id from `fk` where `name` = '".$name."' limit 1 "));
 header("Location: ?photo=".$img['id']."".SID); 

 }

}


if(isset($_GET['photo'])) {


/////////////////////////////////////////
if(isset($_POST['add'])){

	 $imag = my_esc($_FILES['imag']['name']);
	$type = $_FILES['imag']['type'];

	 
	 if(empty($imag) ){
	     $err= 'Выберите фото!';
	 } 
 elseif ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png')
 {$err='Это же не фото!';
}
	 
	 else {
	 $ras1 = explode(".",$imag);
	 $ras1 = end($ras1);
	 $name_1 = time()."1.$ras1";
	 
	 
	 
	     if(copy($_FILES['imag']['tmp_name'], H.'plugins/foto.konkurs/images/'.$name_1))
		 {
		 
		
		 
 mysql_query("UPDATE `fk` SET `images` = '".$name_1."' where `id` =  '".intval($_GET['photo'])."'  ");
 mysql_query("UPDATE `fk` SET `active` = '3' where `id` =  '".intval($_GET['photo'])."'  ");

 $fki = mysql_fetch_assoc(mysql_query("select id from `fk` where `images` = '".$name_1."' limit 1 "));

			 echo '<div class="msg">Фотоконкурс успешко создан!</div>';
			 header("refresh: 1;url=konkurs.php?id=".$fki['id']."");
		 }
	 }
}

echo "<div class='nav2'>
<form action='?photo=".intval($_GET['photo'])."' enctype='multipart/form-data' method='post'>
Обложка фотоконкурса: <br/> 
<input type='file' name='imag'/><br/> 

<input type='submit' name='add' value='Создать'/><br/> 
</form>
</div>";



}
////////////////////////////////////////////////



if(!isset($_GET['photo'])) {
echo"<div class='nav1'><form action='?next' method='post' >
Название:<br />
<input type='text' name='name'  value='' />
<br />Правила:<br />
";

if (is_file(H.'style/themes/' . $set['set_them'] . '/altername_post_form.php'))
    include_once H.'style/themes/' . $set['set_them'] . '/altername_post_form.php';
else
    echo $tPanel . '<textarea name="msg">' . $insert . '</textarea><br />';
    
echo "Баллы за 1 место:<br />
<input type='text' name='pobeda' size='2'  value='' /><br />
Баллы за 2 место:<br />
<input type='text' name='pobeda2' size='2'  value='' /><br />
Баллы за 3 место:<br />
<input type='text' name='pobeda3' size='2'  value='' /><hr>
Баллы за участие:<br />
<input type='text' name='uchastie' size='2'  value='' /><br />
Баллы за голосование:<br />
<input type='text' name='golosue' size='2'  value='' /><hr>
За сколько фото может голосовать 1 пользователь:<br />
<input type='text' name='skolko' size='2'  value='' /><hr>
Сколько дней будет длится:<br /><select  name='dney'>
  <option value='1'>1</option>
  <option value='2'>2</option>
  <option value='3'>3</option>
  <option value='4'>4</option>
  <option value='5'>5</option>
  <option value='6'>6</option>
  <option value='7'>7</option>
  <option value='8'>8</option>
  <option value='9'>9</option>
  <option value='10'>10</option>
  <option value='11'>11</option>
  <option value='12'>12</option>
  <option value='13'>13</option>
  <option value='14'>14</option>
  <option value='15'>15</option>
  <option value='16'>16</option>
  <option value='17'>17</option>
  <option value='18'>18</option>
  <option value='19'>19</option>
  <option value='20'>20</option>
  <option value='21'>21</option>
  <option value='22'>22</option>
  <option value='23'>23</option>
  <option value='24'>24</option>
  <option value='25'>25</option>
  <option value='26'>26</option>
  <option value='27'>27</option>
  <option value='28'>28</option>
  <option value='29'>29</option>
  <option value='30'>30</option>
</select><br />
Сколько максимум участников:<br /><select  name='kol_vo'>
  <option value='2'>2</option>
  <option value='3'>3</option>
  <option value='4'>4</option>
  <option value='5'>5</option>
  <option value='6'>6</option>
  <option value='7'>7</option>
  <option value='8'>8</option>
  <option value='9'>9</option>
  <option value='10'>10</option>
  <option value='11'>11</option>
  <option value='12'>12</option>
  <option value='13'>13</option>
  <option value='14'>14</option>
  <option value='15'>15</option>
  <option value='16'>16</option>
  <option value='17'>17</option>
  <option value='18'>18</option>
  <option value='19'>19</option>
  <option value='20'>20</option>
  <option value='21'>21</option>
  <option value='22'>22</option>
  <option value='23'>23</option>
  <option value='24'>24</option>
  <option value='25'>25</option>
  <option value='26'>26</option>
  <option value='27'>27</option>
  <option value='28'>28</option>
  <option value='29'>29</option>
  <option value='30'>30</option>
</select><br />
<input type='submit' value='Следующий щаг' /><a href='/plugins/foto.konkurs/'><font color='grey'> Отменить</font></a>
</form></div>";



}




echo '<div class="foot"><img src="img/fk.png"> <a href="index.php">Фотоконкурсы</a></div>';



err();



include_once H.'/sys/inc/tfoot.php';
?>